#!/usr/bin/env python
# for two input html pages with google results returns jaccard and edit distance
import sys, os
import jellyfish
import tools
import google
from statlib import stats

cpage = google.parse_search_results(open(sys.argv[1]).read())
tpage = google.parse_search_results(open(sys.argv[2]).read())

j, e = tools.compare_pages(cpage, tpage, 0)

print 'Jaccard:', j
print 'Edit Dist:', e