var DEBUG  = 1;
var page = require('webpage').create();
var fs = require('fs');
var system = require('system');

system.search_terms = [];
system.search_term_index = -1;
system.page_index = 0;

system.page_limit = 10;
system.sleep_page = 5000; //5000;
system.sleep_error = 5000; //5000;
system.sleep_query = 660000; // 11000 * 60
system.login         = 1;
system.clear_cookies = 0;
system.status_file = null;

IE6_On = 0;
FirstAfterLogin = 1;

page.settings.userAgent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
page.customHeaders = {"Accept-Language":"en"};

system.args.forEach(function (arg, i) {
    parts = arg.split("=");
    if (parts[0] == '--username') {
  system.username = parts[1];
    } else if (parts[0] == '--password') {
  system.password = parts[1];
    } else if (parts[0] == '--keyword') {
  system.search_terms[0] = parts[1];
    } else if (parts[0] == '--no_login') {
        system.login = 0;
    } else if (parts[0] == '--clear_cookies') {
        system.clear_cookies = 1;
    } else if (parts[0] == '--keyword-file') {
  try {
      f = fs.open(parts[1], "r");
      while (line = f.readLine())
    system.search_terms.push(line.replace("\n", ""));

      f.close();
  } catch (e) {
      die_with_error("Error reading keywords from '" + parts[1] + "': " + e);
  }
    } else if (parts[0] == '--output') {
  system.target_dir = parts[1];
  checkDirectory(system.target_dir);
    } else if (parts[0] == '--page_limit') {
  system.page_limit = parseInt(parts[1]);
    } else if (parts[0] == '--sleep_page') {
  system.sleep_page = parts[1];
    } else if (parts[0] == '--sleep_query') {
  system.sleep_query = parts[1];
    } else if (parts[0] == '--user-agent') {
  if (parts[1] == 'default') {
      page.settings.userAgent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
    } else if (parts[1] == 'xp') {
      page.settings.userAgent = "Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
    } else if (parts[1] == 'win7') {
      page.settings.userAgent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
    } else if (parts[1] == 'osx') { 
      page.settings.userAgent = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_2) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
    } else if (parts[1] == 'linux') {
      page.settings.userAgent = "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
    } else if (parts[1] == 'android') {
      page.settings.userAgent = "Mozilla/5.0 (Linux; Android 4.1.1; Nexus S Build/JRO03E) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.166 Mobile Safari/535.19";
    } else if (parts[1] == 'ios') {
      page.settings.userAgent = "Mozilla/5.0 (iPhone; U; CPU iPhone OS 5_1_1 like Mac OS X; en-us) AppleWebKit/534.46.0 (KHTML, like Gecko) CriOS/19.0.1084.60 Mobile/9B206 Safari/7534.48.3";
    } else if (parts[1] == 'ie6') {
      IE6_On = 1;
      page.settings.userAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727)";
    } else if (parts[1] == 'ie8') {
      page.settings.userAgent = "Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)";
    } else if (parts[1] == 'chrome') {
      page.settings.userAgent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.2 (KHTML, like Gecko) Chrome/22.0.1216.0 Safari/537.2";
    } else if (parts[1] == 'firefox') {
      page.settings.userAgent = "Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0.1";
    } else if (parts[1] == 'safari') {
      page.settings.userAgent = "Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/537.13+ (KHTML, like Gecko) Version/5.1.7 Safari/534.57.2";
    } 
    }
    else if (parts[0] == '--status_file'){
      system.status_file = parts[1];
      f = fs.open(system.status_file, "r");
    line = f.readLine();
    system.search_term_index = parseInt(line.replace("\n", ""));
    f.close();
  }
  
});

//if (system.status_file == null) {
//  console.log('STATUS FILE NOT THERE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
//    system.status_file = system.status_file;
//    system.search_term_index = -1;
//}

actionlog = fs.open(system.target_dir + "/actions.log", "w")

last_num  = null;
last_fun  = null;
last_next = null;

/**
 * safe way to create a directory
 * @param dir - path and name of the directory to create
 */
function checkDirectory(dir) {
  try {
    if (! fs.exists(dir))
      fs.makeDirectory(system.target_dir);
  } catch (e) {
    die_with_error("Could not create directory '" + dir + "': " + e);
  }
  
  if (! fs.isDirectory(system.target_dir))
    die_with_error("Could not create directory '" + dir + "': Exists as a file.");
}

/**
 * Logs a message to console together with date and time
 * @param msg
 */
function log(msg) {
    console.log((new Date().getTime()) + ": " + msg);
}

/**
 * finds results on the page and saves them to txt file. Does not regognize local/video boxes and so on,
 * use google.py for fool-proof parsing
 * @param alist
 */
function log_urls(alist) {
  f = fs.open(system.target_dir + "/" + system.search_terms[system.search_term_index].replace(" ", "+") + ".txt", "a");
  
  for (var i = 0; i < alist.length; i++)
    f.writeLine((system.page_index*10 + i) + "\t" + alist[i]);
  
  f.close();
}

/**
 * drops the content of the webpage to .html file and renders the graphical representation to .png file
 * @param content
 */
function log_html(content) {
  page.render(system.target_dir + "/" + system.search_terms[system.search_term_index].replace(" ", "+") + "." + system.page_index + ".png");
  f = fs.open(system.target_dir + "/" + system.search_terms[system.search_term_index].replace(" ", "+") + "." + system.page_index + ".html", "a");
  f.writeLine(content);
  f.close();
}

/**
 * ran when the page is loaded succesfully
 * @param status
 */
function load_finished(status) {
    var prev_load_finished = page.load_finished;
    page.load_finished = null;

    if (prev_load_finished !== null) actionlog.writeLine("load_finished " + status);
    else actionlog.writeLine("load_finished " + status + " NULL");
    actionlog.flush();

    if (prev_load_finished !== null)
  prev_load_finished(status);
}

/**
 * logs a message and dies
 * @param message
 */
function die_with_error(message) {
    actionlog.writeLine("die_with_error " + message);
    actionlog.flush();
    log(message);
    //  log(page.content);
    phantom.exit();
}

/**
 * goes to next page
 * @param num
 * @param fun
 * @param next
 */
function next_page(num, fun, next) {
    actionlog.writeLine("next_page " + num + " " + fun);
    actionlog.flush();

    if (system.clear_cookies) phantom.clearCookies();

    var interval = setInterval(function() {
        page.load_finished = next;
        clearInterval(interval);

  actionlog.writeLine("next_page setInterval " + num + " " + fun);
  actionlog.flush();
                         
        last_num = num;
        last_fun = fun;
        last_next = next;
        //console.log('fun: ' + fun);
        eval("function step() { " + fun + " return 1; }");
        if (! page.evaluate(step))
            die_with_error("Unable to execute function '" + fun + "'");
    }, system.sleep_page);
}

/**
 * reruns the search if failed, does nothing otherwise
 * @param num
 * @param status
 */
function check_page(num, status) {
    actionlog.writeLine("check_page " + num + " (" + system.search_terms[system.search_term_index] + " page " + system.page_index + ")");
    actionlog.flush();

    if (DEBUG)
  log("===============> STEP " + num + " (" + system.search_terms[system.search_term_index] + " page " + system.page_index + ") <===============");
  
    if (status !== 'success') {
  actionlog.writeLine("check_page Error in step " + num + ": " + status + " (" + system.search_terms[system.search_term_index] + " page " + system.page_index + ")");
  actionlog.writeLine("Sleeping and retrying...");
  actionlog.flush();

  log("Error in step " + num + ": " + status + " (" + system.search_terms[system.search_term_index] + " page " + system.page_index + ") <===============");
  log("Sleeping and retrying...");
  var interval = setInterval(function() {
      actionlog.writeLine("check_page setInterval");
      actionlog.flush();
      clearInterval(interval);
      next_page(last_num, last_fun, last_next);
  }, system.sleep_error);
  return 0;
    }
    
    if (! page.injectJs("jquery-1.7.2.js"))
  die_with_error("Error injecting Jquery");
    return 1;
}

/**
 * saves the page to html and png files, then either goes to the next page with results or searches for next item on the list
 * @param status
 */
function get_results(status) {
    if (!check_page(3, status)) return;

    actionlog.writeLine("get_result");
    actionlog.flush();
    
    log_html(page.content);
    log_urls(page.evaluate(function() { return Array.prototype.map.call(document.querySelectorAll('h3.r >a.l'), function(a) { return a.href; }); }));
    
    system.page_index++;
    
    if (system.page_index < system.page_limit){
    if (IE6_On == 0) {
        actionlog.writeLine("get_result moving to next page (normal)");
        actionlog.flush();
        next_page(3, "document.location.href=document.getElementById('pnnext').href;", get_results);
    }
    else if (IE6_On == 1){
        actionlog.writeLine("get_result moving to next page (ie6)");
        actionlog.flush();
        var Dhref = page.evaluate(function() { return $('#nav td[style="text-align:left"] a[class!=""]').attr('href'); });
        var Dhost = page.evaluate(function() { return window.location.host; });
        var Dprot = page.evaluate(function() { return window.location.protocol; });
        var Dredirect = Dprot + '//' + Dhost + Dhref;
        next_page(3, "document.location.href=\""+Dredirect+"\";", get_results);
    }
    }
    else {
    actionlog.writeLine("get_result queuing next search");
    actionlog.flush();
    var interval = setInterval(function() {
        actionlog.writeLine("get_result setInterval");
        actionlog.flush();
        clearInterval(interval);
        search(status);
    }, 
    system.sleep_query);
    }
}

/**
 * Runs the google search
 * @param status
 */
function search(status) {
    if (!check_page(2, status)) return;

    actionlog.writeLine("search");
    actionlog.flush();
  
    system.page_index = 0;
    system.search_term_index++;
    f = fs.open(system.status_file, "w");
    f.writeLine(system.search_term_index.toString());
    f.close();
    
    if (system.search_term_index < system.search_terms.length) {
  if (IE6_On == 0){
      if (page.evaluate(function() { return (document.getElementById('gbqfq') !== null); })) {
    actionlog.writeLine("search normal search box " + system.search_terms[system.search_term_index]);
    actionlog.flush();
    page.evaluate(function(str) { $('input[name=q]').val(str); }, system.search_terms[system.search_term_index]);
    next_page(2, "document.getElementById('gbqf').submit();", get_results);
      }
      else{
                                system.search_term_index--;
                                prepare_for_search(status);
                                //die_with_error("Could not find search box");
                                }

  }
  else if (IE6_On == 1){
      console.log('IE6 is on!');
      if (page.evaluate(function() { return ($('input[name="q"]') !== null); })) {
    actionlog.writeLine("search ie6 search box " + system.search_terms[system.search_term_index]);
    actionlog.flush();
    console.log(system.search_terms[system.search_term_index]);
    page.evaluate(function(str) { $('input[name="q"]').val(str); }, system.search_terms[system.search_term_index]);
    //        next_page(2, "$('input[name=\"btnG\"]').click();", get_results);
    if (FirstAfterLogin == 1){
        FirstAfterLogin = 0;
        next_page(2, "$('input[name=\"btnG\"]').click();", get_results);
    }
    else
        next_page(2, "$('button[name=\"btnG\"]').click();", get_results);
      }
      else{
                                system.search_term_index--;
                                prepare_for_search(status);
                                //die_with_error("Could not find search box");
                                }

    
  }
    }
    
    else {
  log("Done with all search terms -- exiting");
  phantom.exit();
    }
}

/**
 * Logs in to google account
 * @param status
 */
function do_login(status) {
    // I don't actualy think the retry handling code works for this function...
    if (!check_page(1, status)) return;

    actionlog.writeLine("do_login done check_page");
    actionlog.flush();
    
    if (page.evaluate(function() { return (document.getElementById('Email') !== null); })) {
  page.evaluate(function(user, pass) { $('#gaia_loginform input#Email').val(user); $('#gaia_loginform input#Passwd').val(pass); }, system.username, system.password);
  
  next_page(1, "$('#gaia_loginform input#signIn').click();", search);
    } else {
  die_with_error("Could not find login form");
    }
}

/**
 * Intermediate function ran in case of error
 * @param status
 */
function prepare_for_search(status) {
        page.render('dummy.png');
        eval("function go_to_google() { document.location.href='https://www.google.com';}");
        page.evaluate(go_to_google);
        interval = setInterval(function() { clearInterval(interval); search(status); }, 5000);
}


//page.onResourceRequested = function(req) { if (req.url.substring(0,4) == "http") log("REQ: " + req.url) };

if (system.login) {
    page.load_finished = do_login;
    page.onLoadFinished = load_finished;
    page.open("https://accounts.google.com/ServiceLogin?hl=en&continue=https://www.google.com/");
}
else {
    page.load_finished = search;
    page.onLoadFinished = load_finished;
    page.open("https://www.google.com/");    
}
